@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {
  .search-bar {
    @apply w-0 group-hover:w-[300px] transition-all duration-300 rounded-full group-hover:border group-hover:border-gray-500
    px-3 py-1 focus:outline-none dark:border-gray-800 dark:bg-gray-900 group-hover:dark:bg-gray-800 ;
  }
}

@layer utilities {
  .hero-bg-color {
    @apply bg-gradient-to-r from-gray-300/80 to-gray-100 dark:from-gray-900 dark:to-gray-800 dark:text-white;
  }
  .hero-bg-color2 {
    @apply bg-gradient-to-r from-gray-100 to-gray-300/80 dark:from-gray-800 dark:to-gray-900 dark:text-white;
  }
}